> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get most recent people count events

> Get the X most recent people counting events for a specified device



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getMostRecentPeopleCountEvents
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getMostRecentPeopleCountEvents:
    post:
      tags:
        - Report Webservice
      summary: Get most recent people count events
      description: Get the X most recent people counting events for a specified device
      operationId: getMostRecentPeopleCountEvents
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Report_GetMostRecentPeopleCountWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report_GetMostRecentPeopleCountWSResponse'
          description: OK
components:
  schemas:
    Report_GetMostRecentPeopleCountWSRequest:
      type: object
      description: Request object for getting most recent people count.
      properties:
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        numMostRecent:
          type: integer
          format: int32
          description: Number of most recent people counts to retrieve
          example: 10
          nullable: true
    Report_GetMostRecentPeopleCountWSResponse:
      type: object
      description: Response object for getting most recent people count.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        events:
          type: array
          description: List of people count events
          items:
            $ref: '#/components/schemas/PeopleCountEventType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    PeopleCountEventType:
      type: object
      description: List of people count events
      properties:
        boundingBoxes:
          type: array
          items:
            $ref: '#/components/schemas/BoundingBoxType'
          nullable: true
        deviceLabels:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        deviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        eventTimestamp:
          type: integer
          format: int64
          nullable: true
        imageS3Key:
          type: string
          nullable: true
        locationLabels:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        peopleCount:
          type: integer
          format: int32
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    BoundingBoxType:
      type: object
      properties:
        bottom:
          type: number
          format: float
          nullable: true
        left:
          type: number
          format: float
          nullable: true
        right:
          type: number
          format: float
          nullable: true
        top:
          type: number
          format: float
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````